<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/** 
 * This file is part of the SecureFlag Platform.
 * Copyright (c) 2020 SecureFlag Limited.
 * 
 * This program is free software: you can redistribute it and/or modify  
 * it under the terms of the GNU General Public License as published by  
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 -->
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" id="WebApp_ID" version="3.0">
  <description>GatewayAgent</description>
  <display-name>GatewayAgent</display-name>
  <session-config>
    <session-timeout>20</session-timeout>
  </session-config>
  <servlet>
    <description>GatewayServlet</description>
    <servlet-name>GatewayServlet</servlet-name>
    <servlet-class>com.secureflag.gateway.agent.servlet.GatewayServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GatewayServlet</servlet-name>
    <url-pattern>/handler</url-pattern>
  </servlet-mapping>
  <filter>
    <filter-name>GatewayFilter</filter-name>
    <filter-class>com.secureflag.gateway.agent.servlet.GatewayFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>GatewayFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
</web-app>